org.apache.ignite.internal.processors.security

## Class SecurityContextHolder

- java.lang.Object
- - org.apache.ignite.internal.processors.security.SecurityContextHolder

    public class SecurityContextHolder
    extends Object

Thread-local security context.

### Constructor Summary

Constructors
Constructor and Description
`SecurityContextHolder()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `clear()` Clear security context.
`static SecurityContext` `get()` Get security context.
`static void` `set(SecurityContext ctx)` Set security context.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SecurityContextHolder

    public SecurityContextHolder()

### Method Detail

#### get

    @Nullable
    public static SecurityContext get()

Get security context.

Returns:
  Security context.

#### set

    public static void set(@Nullable
                           SecurityContext ctx)

Set security context.

Parameters:
  `ctx` - Context.

#### clear

    public static void clear()

Clear security context.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.5.0
Release Date | : May 23 2018